package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 订单表状态变更记录 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-16
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvTradeOrderLineStatusLogDao;
import com.heyu.api.data.entity.vv.VvTradeOrderLineStatusLogEntity;
import com.heyu.api.data.service.vv.VvTradeOrderLineStatusLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvTradeOrderLineStatusLogServiceImpl extends ServiceImpl<VvTradeOrderLineStatusLogDao, VvTradeOrderLineStatusLogEntity> implements VvTradeOrderLineStatusLogService {


    @Autowired
	private VvTradeOrderLineStatusLogDao vvTradeOrderLineStatusLogDao;



	@Override
	public VvTradeOrderLineStatusLogEntity selectVvTradeOrderLineStatusLogById(Long id){
		return vvTradeOrderLineStatusLogDao.selectVvTradeOrderLineStatusLogById(id);
	}



	@Override
	public Long insertVvTradeOrderLineStatusLog(VvTradeOrderLineStatusLogEntity vvTradeOrderLineStatusLog){
		return vvTradeOrderLineStatusLogDao.insertVvTradeOrderLineStatusLog(vvTradeOrderLineStatusLog);
	}



	@Override
	public Long insertOrUpdateVvTradeOrderLineStatusLog(VvTradeOrderLineStatusLogEntity vvTradeOrderLineStatusLog){
		return vvTradeOrderLineStatusLogDao.insertOrUpdateVvTradeOrderLineStatusLog(vvTradeOrderLineStatusLog);
	}



	@Override
	public int updateVvTradeOrderLineStatusLogById(VvTradeOrderLineStatusLogEntity vvTradeOrderLineStatusLog){
		return vvTradeOrderLineStatusLogDao.updateVvTradeOrderLineStatusLogById(vvTradeOrderLineStatusLog);
	}



	@Override
	public int updateCoverVvTradeOrderLineStatusLogById(VvTradeOrderLineStatusLogEntity vvTradeOrderLineStatusLog){
		return vvTradeOrderLineStatusLogDao.updateCoverVvTradeOrderLineStatusLogById(vvTradeOrderLineStatusLog);
	}



	@Override
	public int deleteVvTradeOrderLineStatusLogById(Long id){
		return vvTradeOrderLineStatusLogDao.deleteVvTradeOrderLineStatusLogById(id);
	}



}
